import { onMounted } from "vue"

export default function() {
  const columns = [
    { field: 'name', title: '产品线', align: "left", fixed: 'left', width: 180, sortable: true },
    { field: 'sex', title: '总销售额', align: "right", width: 130, sortable: true },
    { field: 'age', title: '总订单数', align: "right", width: 130, sortable: true },
    { field: 'time', title: '总销量',  align: "right",width: 130, sortable: true },
    { field: 'address', title: '单均价', align: "right", width: 130, sortable: true },
    { field: 'address', title: '广告销售额', align: "right", width: 130, sortable: true },
    { field: 'address', title: '本商品广告销售额', align: "right", width: 180, sortable: true },
    { field: 'address', title: '广告订单数', align: "right", width: 130, sortable: true },
    { field: 'address', title: '本商品广告订单数', align: "right", width: 180, sortable: true },
    { field: 'address', title: '广告销量', align: "right",width: 130, sortable: true },
    { field: 'address', title: '本商品广告销量', align: "right", width: 180, sortable: true },
    { field: 'address', title: '花费', align: "right", width: 130, sortable: true, showOverflow: true },
    { field: 'address', title: 'ACOS', align: "right", width: 130, sortable: true },
    { field: 'address', title: 'ROAS', align: "right", width: 130, sortable: true },
    { field: 'address', title: 'TACOS', align: "right", width: 130, sortable: true },
    { field: 'address', title: '转化率', align: "right", width: 130, sortable: true },
    { field: 'address', title: '点击率', align: "right", width: 130, sortable: true },
    { field: 'address', title: '点击成本', align: "right", width: 130, sortable: true },
    { field: 'address', title: '总订单成本', align: "right", width: 150, sortable: true },
    { field: 'address', title: '广告订单成本', align: "right", width: 180, sortable: true },
    { field: 'address', title: '曝光量', align: "right", width: 130, sortable: true },
    { field: 'address', title: '点击量', align: "right", width: 130, sortable: true },
    { field: 'address', title: '会话次数', align: "right", width: 150, sortable: true },
    { field: 'address', title: '商品会话百分比', align: "right", width: 150, sortable: true, formatter: formatTalk },
    { field: 'address', title: '页面浏览量', align: "right", width: 180, sortable: true },
    { field: 'address', title: '推荐报价（购买按钮）百分比', align: "right", width: 180, sortable: true, showHeaderOverflow: true, formatter: formatPrice },
    { field: 'address', title: 'FBA库存', align: "right", width: 130, sortable: true },
    { field: 'address', title: 'FBM库存', align: "right", width: 130, sortable: true, showHeaderOverflow: true },
  ]
  function formatTalk({ cellValue }) {
    const item = cellValue + "万"
    return item
  }
  function formatPrice({ cellValue }) {
    const item = cellValue + "%"
    return item
  }

  onMounted(()=>{
    console.log('这是useTable的onMounted')
  })
  return {columns,formatTalk,formatPrice}
} 

